unit uwinlib;


interface

type
  HINST = THandle;
  LOWORD = Word;
  
  function GetTickCount : Cardinal;
  function Sgn(l : LongInt) : ShortInt;
  
  function HiWord(l : DWord) :Word;
  function MakeLong(a, b : Word) : Longint;

implementation

uses libc;

function GetTickCount: Cardinal;
var
  tv : Timeval;
begin
  gettimeofday(tv, nil);
  Result := Int64(tv.tv_sec) * 1000 + tv.tv_usec div 1000;
end;

function Sgn(l: LongInt): ShortInt;
begin
  Result := -1 + Byte(L >= 0) + Byte(L > 0);
end;

function HiWord(l: DWord): Word;
begin
  result := l shr 16;
end;

function MakeLong(a, b: Word): Longint;
begin
  result := a or b shl 16;
end;


end.

